$variant: 'light';

@import '../_colors.scss';
@import '../_cantarell.scss';

.row.full {
	width: 100%;
	margin:0;
}


#newMessageView,
#messagesView,
.messagesView {
	background-color: $base_color !important;
}

#newMessageContent,
.messagesList,
#messagesList {
	border: none !important;
	margin:0;
	li {
		.small-label {
			margin-top: 2px;
		}
	}
}

#messagesContactsSearch {
	width: 100%;
}

.status-icon {
	margin:0;
	width: 10px;
	height: 10px;
	background-color: $success_color;
	border-radius: 50%;
	border: 3px solid $base_color;
	position: relative;
	display: block;
	top:22px;
	left:22px;
}

.unread-count {
	margin-top: 10px !important;
	font-family:"cantarell_bold", sans-serif;
}

#conversationView {
	background-color: $base_color !important;

	ul.conversation-list {
		position: absolute;
		bottom:80px;
		margin:0;
		display: block;
		padding: 6px;
		width: calc(100% - 12px);
		li {
			min-width: 60%;
			margin: 2px;
			padding: 6px 12px;
			line-height: 24px;
			min-height: 24px;
			border-radius: 9px;
			display: inline-block;
			box-shadow: inset 0 0 0 1px rgba(0,0,0,0.1), 0 1px 1px 0 rgba(0,0,0,0.1);

			&.messageSent {
				float:right;
				background-color: lighten($selected_bg_color, 13%);
				color: $selected_fg_color;
			}

			&.messageRecieved {
				float: left;
				background-color: darken($base_color, 5%);
			}
		}
		span {
			display: inline-block;
			margin: 8px 10%;
			width: 80%;
			text-align:center;
			&.messageTimestamp {
				font-size: 80%;
			}
		}
	}
}